<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctSubMneDoc {
    
    const NOME = "FCT_SUB_MNE_DOC";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure.
     * 
     * @param integer $nrseqcontr
     * @param integer $nrseqdoccont
     * @param integer $nrorg
     * @param string  $idtipodoc
     * @param string  $submnedoc
     */
    public function executar($nrseqcontr, $nrseqdoccont, $nrorg, $idtipodoc, $submnedoc) {
        $procedure = new StoredProcedure($this->connection, self::NOME);
        
        $procedure->addParam(new Param("P_NRSEQCONTR",   Param::PARAM_INPUT,  $nrseqcontr,   Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRSEQDOCCONT", Param::PARAM_INPUT,  $nrseqdoccont, Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRORG",        Param::PARAM_INPUT,  $nrorg,        Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_IDTIPODOC",    Param::PARAM_INPUT,  $idtipodoc,    Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_SUBMNEDOC",    Param::PARAM_INPUT,  $submnedoc,    Param::PARAM_TYPE_STR));
        
        $procedure->execute();
    }
    
}

?>